Home > Community > Forums > Custom IC Design > Need help for dracula lvs!!!

Email

* Required Fields

Recipients email * (separate multiple addresses with commas)

Your name *

Your email *

Message *

Contact Us

* Required Fields
First Name *

Last Name *

Email *

Company / Institution *

Comments: *

 Need help for dracula lvs!!! 

Last post Mon, Jun 3 2013 6:43 PM by cpygczy. 8 replies.
Started by cpygczy 31 May 2013 11:30 PM. Topic has 8 replies and 1114 views
Page 1 of 1 (9 items)
Sort Posts:
  • Fri, May 31 2013 11:15 PM

    • cpygczy
    • Not Ranked
    • Joined on Fri, May 31 2013
    • Posts 5
    • Points 85
    Need help for dracula lvs!!! Reply
    After I run   ./jxrun.com, an error occured like this:

    How to solve this problem?
    • Post Points: 5
  • Fri, May 31 2013 11:30 PM

    • cpygczy
    • Not Ranked
    • Joined on Fri, May 31 2013
    • Posts 5
    • Points 85
    Need help for dracula lvs!!! Reply

     Dear all,

    After I ran ./jxrun.com, it displayed that:

     

     

     */N* AT STAGE: 33


     *******************************************************************************
     */N*  LVSCHM   (REV. IC6.1.5.08-2010     / LINUX         /GENDATE: 30-AUG/2010)
                        *** ( Copyright 2010, Cadence ) ***
     */N*  EXEC TIME = 13:55:53    DATE =  1-JUN-2013   HOSTNAME =      ubuntu
     *******************************************************************************

     BIG NODE LIMITS:      30000         150            KPQUE =     2


     */L*      6NETS    (6PADS   )  AGAINST  6NETL    (6PADL   )


    /home/international/Cadence/IC615/tools.lnx86/dracula/bin/32bit/LVSCHM: symbol lookup error: /home/international/Cadence/IC615/tools.lnx86/dracula/bin/32bit/LVSCHM: undefined symbol: dbm_open

     

    How to solve this problem?

    • Post Points: 20
  • Mon, Jun 3 2013 1:54 AM

    Re: Need help for dracula lvs!!! Reply

    I believe this function comes from the "gdbm" shared library - running "ldd" on the LVSCHM executable suggests to me that it's from there:

             linux-gate.so.1 =>  (0xf7782000)
            libgfortran.so.3 => /usr/lib/libgfortran.so.3 (0xf76ab000)
            libm.so.6 => /lib/libm.so.6 (0x00522000)
            libnsl.so.1 => /lib/libnsl.so.1 (0x0067a000)
            libdl.so.2 => /lib/libdl.so.2 (0x0051b000)
            libgdbm.so.2 => /usr/lib/libgdbm.so.2 (0xf76a3000)
            libtermcap.so.2 => /lib/libtermcap.so.2 (0xf769f000)
            libelf.so.1 => /usr/lib/libelf.so.1 (0xf7687000)
            libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x0056b000)
            libc.so.6 => /lib/libc.so.6 (0x00389000)
            /lib/ld-linux.so.2 (0x00367000)

    My guess is that your OS has an outdated or incorrect version of libgdbm.so.2 (I've seen one report saying that this doesn't work on SuSE, but I've got nothing to back that up). I see from your hostname that you are probably using Ubuntu, which is an unsupported operating system - so maybe that's the root cause?

    Regards,

    Andrew.

    • Post Points: 20
  • Mon, Jun 3 2013 8:57 AM

    • cpygczy
    • Not Ranked
    • Joined on Fri, May 31 2013
    • Posts 5
    • Points 85
    Re: Need help for dracula lvs!!! Reply

     Thank you very much!

    My version of libgdbm.so.2 is libgdbm.so.3. I linked them. Could you send the correct version to me

    My E-mail address is cpy.international@qq.com.

     Regards,

    International.

    • Post Points: 50
  • Mon, Jun 3 2013 2:15 PM

    • skillUser
    • Top 10 Contributor
    • Joined on Fri, Sep 19 2008
    • Austin, TX
    • Posts 2,587
    • Points 15,915
    Re: Need help for dracula lvs!!! Reply

     Like what?  Go to the Options tab to add attachments.

     

    • Post Points: 5
  • Mon, Jun 3 2013 2:19 PM

    • skillUser
    • Top 10 Contributor
    • Joined on Fri, Sep 19 2008
    • Austin, TX
    • Posts 2,587
    • Points 15,915
    Re: Need help for dracula lvs!!! Reply

     Oh, and please don't re-post a question as a new thread (read the Forum Guidlines)

    • Post Points: 20
  • Mon, Jun 3 2013 2:59 PM

    Re: Need help for dracula lvs!!! Reply

    cpygczy:

    My version of libgdbm.so.2 is libgdbm.so.3. I linked them. Could you send the correct version to me

     

     

    I cannot send you parts of the OS - it would (I believe) break our license agreement. You should be able to download the relevant package yourself though for the particular distribution you're using. Note however that if you're using an unsupported OS, you may hit other issues... unsupported means that we've not tested on that OS.

    Regards,

    Andrew.

     

    • Post Points: 20
  • Mon, Jun 3 2013 6:42 PM

    • cpygczy
    • Not Ranked
    • Joined on Fri, May 31 2013
    • Posts 5
    • Points 85
    Re: Need help for dracula lvs!!! Reply

     Sorry!

    I'm from China. I'm not good at English. I can't understand you. What did you mean?

    • Post Points: 5
  • Mon, Jun 3 2013 6:43 PM

    • cpygczy
    • Not Ranked
    • Joined on Fri, May 31 2013
    • Posts 5
    • Points 85
    Re: Need help for dracula lvs!!! Reply

     Thank you very much!

    I have solved the problem!

    You are my hero!

    • Post Points: 5
Page 1 of 1 (9 items)
Sort Posts:
Started by cpygczy at 31 May 2013 11:30 PM. Topic has 8 replies.